Upstream information

CVE-2017-7520 at MITRE

Description

OpenVPN versions before 2.4.3 and before 2.3.17 are vulnerable to denial-of-service and/or possibly sensitive memory leak triggered by man-in-the-middle attacker.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4 7.8
Vector AV:N/AC:H/Au:N/C:P/I:N/A:P AV:N/AC:M/Au:N/C:P/I:N/A:C
Access Vector Network Network
Access Complexity High Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact None None
Availability Impact Partial Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.4 8.2
Vector CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:H CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:H
Attack Vector Network Network
Attack Complexity High Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1044947 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
  • openvpn >= 2.3.8-16.17.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-1011
SUSE Linux Enterprise Desktop 12 SP3
  • openvpn >= 2.3.8-16.17.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA openvpn-2.3.8-16.17.1
SUSE Linux Enterprise Desktop 12 SP4
  • openvpn >= 2.3.8-16.20.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA openvpn-2.3.8-16.20.1
SUSE Linux Enterprise High Performance Computing 12 SP5
  • openvpn >= 2.3.8-16.20.1
  • openvpn-auth-pam-plugin >= 2.3.8-16.20.1
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA openvpn-2.3.8-16.20.1
SUSE Linux Enterprise Server 11-SECURITY
  • openvpn-openssl1 >= 2.3.2-0.10.3.1
  • openvpn-openssl1-down-root-plugin >= 2.3.2-0.10.3.1
Patchnames:
SUSE Linux Enterprise Server 11-SECURITY GA openvpn-openssl1-2.3.2-0.10.3.1
secsp3-openvpn-openssl1-13182
SUSE Linux Enterprise Server 12 SP1-LTSS
  • openvpn >= 2.3.8-16.17.1
  • openvpn-auth-pam-plugin >= 2.3.8-16.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-1011
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • openvpn >= 2.3.8-16.17.1
  • openvpn-auth-pam-plugin >= 2.3.8-16.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1011
SUSE Linux Enterprise Server 12 SP3
  • openvpn >= 2.3.8-16.17.1
  • openvpn-auth-pam-plugin >= 2.3.8-16.17.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA openvpn-2.3.8-16.17.1
SUSE Linux Enterprise Server 12 SP4
  • openvpn >= 2.3.8-16.20.1
  • openvpn-auth-pam-plugin >= 2.3.8-16.20.1
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA openvpn-2.3.8-16.20.1
SUSE Linux Enterprise Server 12 SP5
  • openvpn >= 2.3.8-16.20.1
  • openvpn-auth-pam-plugin >= 2.3.8-16.20.1
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA openvpn-2.3.8-16.20.1
SUSE Linux Enterprise Server 12-LTSS
  • openvpn >= 2.3.8-16.17.1
  • openvpn-auth-pam-plugin >= 2.3.8-16.17.1
Patchnames:
SUSE-SLE-SERVER-12-2017-1011
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • openvpn >= 2.3.8-16.17.1
  • openvpn-auth-pam-plugin >= 2.3.8-16.17.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-1011
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • openvpn >= 2.3.8-16.17.1
  • openvpn-auth-pam-plugin >= 2.3.8-16.17.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2017-1011
SUSE Linux Enterprise Server for SAP Applications 12
  • openvpn >= 2.3.8-16.17.1
  • openvpn-auth-pam-plugin >= 2.3.8-16.17.1
Patchnames:
SUSE-SLE-SAP-12-2017-1011
SUSE OpenStack Cloud 6
  • openvpn >= 2.3.8-16.17.1
  • openvpn-auth-pam-plugin >= 2.3.8-16.17.1
Patchnames:
SUSE-OpenStack-Cloud-6-2017-1011


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7 openvpn Already fixed
SUSE Enterprise Storage 7.1 openvpn Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP5 openvpn Affected
SUSE Linux Enterprise Real Time 15 SP3 openvpn Already fixed
SUSE Linux Enterprise Server 12 SP5 openvpn Affected
SUSE Linux Enterprise Server 12-LTSS openvpn Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 openvpn Affected
SUSE Manager Proxy 4.2 openvpn Already fixed
SUSE Manager Retail Branch Server 4.2 openvpn Already fixed
SUSE Manager Server 4.2 openvpn Already fixed
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 openvpn Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 openvpn Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS openvpn Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS openvpn Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2 openvpn Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS openvpn Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS openvpn Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3 openvpn Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS openvpn Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS openvpn Already fixed
SUSE Linux Enterprise High Performance Computing 15-ESPOS openvpn Already fixed
SUSE Linux Enterprise High Performance Computing 15-LTSS openvpn Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP1 openvpn Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP2 openvpn Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP3 openvpn Already fixed
SUSE Linux Enterprise Server 12 SP2-BCL openvpn Affected
SUSE Linux Enterprise Server 12 SP4 openvpn Affected
SUSE Linux Enterprise Server 12 SP4-LTSS openvpn Affected
SUSE Linux Enterprise Server 15 SP1 openvpn Already fixed
SUSE Linux Enterprise Server 15 SP1-LTSS openvpn Already fixed
SUSE Linux Enterprise Server 15 SP2 openvpn Already fixed
SUSE Linux Enterprise Server 15 SP2-LTSS openvpn Already fixed
SUSE Linux Enterprise Server 15 SP3 openvpn Already fixed
SUSE Linux Enterprise Server 15 SP3-LTSS openvpn Already fixed
SUSE Linux Enterprise Server 15-ESPOS openvpn Already fixed
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 openvpn Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP4 openvpn Affected
SUSE Linux Enterprise Server for SAP Applications 15 openvpn Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP1 openvpn Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP2 openvpn Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP3 openvpn Already fixed
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 openvpn Affected
SUSE CaaS Platform 4.0 openvpn Already fixed
SUSE Enterprise Storage 6 openvpn Already fixed
SUSE Linux Enterprise Desktop 12 openvpn Affected
SUSE Linux Enterprise Desktop 12 SP1 openvpn Affected
SUSE Linux Enterprise Desktop 12 SP2 openvpn Released
SUSE Linux Enterprise Desktop 12 SP3 openvpn Affected
SUSE Linux Enterprise Desktop 12 SP4 openvpn Affected
SUSE Linux Enterprise Desktop 15 openvpn Already fixed
SUSE Linux Enterprise Desktop 15 SP1 openvpn Already fixed
SUSE Linux Enterprise Desktop 15 SP2 openvpn Already fixed
SUSE Linux Enterprise Desktop 15 SP3 openvpn Already fixed
SUSE Linux Enterprise Module for Basesystem 15 openvpn Already fixed
SUSE Linux Enterprise Point of Service 11 SP3 openvpn Affected
SUSE Linux Enterprise Real Time 15 SP2 openvpn Already fixed
SUSE Linux Enterprise Server 11 SP3 openvpn Affected
SUSE Linux Enterprise Server 11 SP3 LTSS openvpn Released
SUSE Linux Enterprise Server 11 SP3-LTSS openvpn Affected
SUSE Linux Enterprise Server 11 SP4 openvpn Affected
SUSE Linux Enterprise Server 11 SP4 LTSS openvpn Affected
SUSE Linux Enterprise Server 11 SP4-LTSS openvpn Released
SUSE Linux Enterprise Server 11-SECURITY openvpn-openssl1 Released
SUSE Linux Enterprise Server 12 openvpn Affected
SUSE Linux Enterprise Server 12 SP1 openvpn Affected
SUSE Linux Enterprise Server 12 SP1-LTSS openvpn Released
SUSE Linux Enterprise Server 12 SP2 openvpn Released
SUSE Linux Enterprise Server 12 SP2-ESPOS openvpn Affected
SUSE Linux Enterprise Server 12 SP2-LTSS openvpn Affected
SUSE Linux Enterprise Server 12 SP3 openvpn Affected
SUSE Linux Enterprise Server 12 SP3-BCL openvpn Affected
SUSE Linux Enterprise Server 12 SP3-ESPOS openvpn Affected
SUSE Linux Enterprise Server 12 SP3-LTSS openvpn Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS openvpn Affected
SUSE Linux Enterprise Server 15 openvpn Already fixed
SUSE Linux Enterprise Server 15 SP1-BCL openvpn Already fixed
SUSE Linux Enterprise Server 15 SP2-BCL openvpn Already fixed
SUSE Linux Enterprise Server 15 SP3-BCL openvpn Already fixed
SUSE Linux Enterprise Server 15-LTSS openvpn Already fixed
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 openvpn Released
SUSE Linux Enterprise Server for SAP Applications 12 openvpn Released
SUSE Linux Enterprise Server for SAP Applications 12 SP1 openvpn Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 openvpn Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 openvpn Affected
SUSE Linux Enterprise Server for the Raspberry Pi 12 SP2 openvpn Released
SUSE Manager Proxy 4.0 openvpn Already fixed
SUSE Manager Proxy 4.1 openvpn Already fixed
SUSE Manager Retail Branch Server 4.0 openvpn Already fixed
SUSE Manager Retail Branch Server 4.1 openvpn Already fixed
SUSE Manager Server 4.0 openvpn Already fixed
SUSE Manager Server 4.1 openvpn Already fixed
SUSE OpenStack Cloud 6 openvpn Released
SUSE OpenStack Cloud 7 openvpn Affected
SUSE OpenStack Cloud 8 openvpn Affected
SUSE OpenStack Cloud 9 openvpn Affected
SUSE OpenStack Cloud Crowbar 8 openvpn Affected
SUSE OpenStack Cloud Crowbar 9 openvpn Affected
Security Module for SUSE Linux Enterprise 11 openvpn-openssl1 Released


SUSE Timeline for this CVE

CVE page created: Mon Jun 19 15:45:54 2017
CVE page last modified: Fri Jan 20 13:31:51 2023